## cmmlenc cmmlenc — Encodes CMML streams |

## Properties

gint64 | granule-rate-denominator | Read / Write / Construct
gint64 | granule-rate-numerator | Read / Write / Construct
guchar | granule-shift | Read / Write / Construct

## Types and Values

struct | GstCmmlEnc

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstCmmlEnc

## Description

## Synopsis

### Element Information

plugin | annodex
author | Alessandro Decina <alessandro@nnva.org>
class | Codec/Encoder

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-cmml, encoded=(boolean)false

name | src
direction | source
presence | always
details | text/x-cmml, encoded=(boolean)true

## Functions

## Types and Values

### struct GstCmmlEnc

    struct GstCmmlEnc;

## Property Details

### The `“granule-rate-denominator”` property

      “granule-rate-denominator” gint64

Granulerate denominator.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 1

### The `“granule-rate-numerator”` property

      “granule-rate-numerator”   gint64

Granulerate numerator.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 1000

### The `“granule-shift”` property

      “granule-shift”            guchar

The number of lower bits to use for partitioning a granule position.

Flags: Read / Write / Construct

Allowed values: <= 64

Default value: 32